## gtk4-layer-shell 1.3.0

=== meson_options.txt ===
option('examples', type: 'boolean', value: false, description: 'Build example applications')
option('docs', type: 'boolean', value: false, description: 'Build devhelp API documentation')
option('tests', type: 'boolean', value: false, description: 'Build tests')
option('smoke-tests', type: 'boolean', value: true, description: 'Run smoke tests of all the examples')
option('introspection', type: 'boolean', value: true, description: 'Build gobject-introspection data')
option('vapi', type: 'boolean', value: true, description: 'Generate vapi data (needs vapigen & introspection option)')

## gtk4-layer-shell 1.0.2

=== debian/changelog ===
gtk4-layer-shell (1.0.2-3) unstable; urgency=medium

  * Apply multi-arch hints

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 05 Jul 2024 21:12:25 +0200

gtk4-layer-shell (1.0.2-2) unstable; urgency=medium

  * Source-only upload.

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 06 May 2024 23:09:42 +0800

gtk4-layer-shell (1.0.2-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * Initial release. (Closes: #1054539)

  [ Maytham Alsudany ]
  * Move d/salsa-ci.yml.ex -> d/salsa-ci.yml
  * d/control: Fix synopsis capitalisation mistake
  * Move d/u/metadata.ex to d/u/metadata and update info
  * d/control: Bump Standards-Version to 4.7.0 (no changes)
  * d/control: Add myself to Uploaders
  * Add d/gbp.conf
  * Fix d/copyright

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 29 Apr 2024 21:07:27 +0800

=== debian/control ===
Source: gtk4-layer-shell
Section: libs
Priority: optional
Maintainer: Matthias Geiger <werdahias@riseup.net>
Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson,
 libgirepository1.0-dev,
 libgtk-4-dev,
 libwayland-dev (>= 1.10.0),
 gtk-doc-tools,
 valac,
Standards-Version: 4.7.0
Homepage: https://github.com/wmww/gtk4-layer-shell
Vcs-Browser: https://salsa.debian.org/debian/gtk4-layer-shell
Vcs-Git: https://salsa.debian.org/debian/gtk4-layer-shell.git

Package: libgtk4-layer-shell-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgtk4-layer-shell0 (= ${binary:Version}),
 gir1.2-gtk4layershell-1.0 (= ${binary:Version}),
Description: wayland layer shell protocol library (GTK4) -- development files
 A library for using the Layer Shell Wayland protocol with GTK4. With this
 library you can build desktop shell components such as panels, notifications
 and wallpapers. It's compatible with C, C++ and any language that supports
 GObject introspection files (Python, Vala, etc).
 .
 This package contains the development headers.

Package: libgtk4-layer-shell0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland layer shell protocol library (GTK4) -- shared library
 A library for using the Layer Shell Wayland protocol with GTK4. With this
 library you can build desktop shell components such as panels, notifications
 and wallpapers. It's compatible with C, C++ and any language that supports
 GObject introspection files (Python, Vala, etc).
 .
 This package contains the shared libraries.

Package: gir1.2-gtk4layershell-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${gir:Depends},
Description: wayland layer shell protocol library (GTK4) -- GObject introspection data
 A library for using the Layer Shell Wayland protocol with GTK4. With this
 library you can build desktop shell components such as panels, notifications
 and wallpapers. It's compatible with C, C++ and any language that supports
 GObject introspection files (Python, Vala, etc).
 .
 This package contains the gobject-introspection typelib.

Package: gtk4-layer-shell-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland layer shell protocol library (GTK4) -- documentation
 A library for using the Layer Shell Wayland protocol with GTK4. With this
 library you can build desktop shell components such as panels, notifications
 and wallpapers. It's compatible with C, C++ and any language that supports
 GObject introspection files (Python, Vala, etc).
 .
 This package contains the common documentation.

Package: gtk4-layer-shell-examples
Section: x11
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: wayland layer shell protocol library (GTK4) -- examples
 A library for using the Layer Shell Wayland protocol with GTK4. With this
 library you can build desktop shell components such as panels, notifications
 and wallpapers. It's compatible with C, C++ and any language that supports
 GObject introspection files (Python, Vala, etc).
 .
 This package contains the example application.

## gtk4-layer-shell 1.0.3

=== debian/changelog ===
gtk4-layer-shell (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Fix typo in d/u/metadata
  * Drop patch; applied in upstream release

 -- Matthias Geiger <werdahias@debian.org>  Thu, 12 Sep 2024 12:40:13 +0200

gtk4-layer-shell (1.0.2-4) unstable; urgency=medium

  * Add patch to make integration tests compatible with new libwayland
    logging format (Closes: #1077416)
  * Mark libgtk4-layer-shell-dev as M-A: same
  * Updated my mail address in d/control, d/copyright

 -- Matthias Geiger <werdahias@debian.org>  Wed, 07 Aug 2024 21:26:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gtk4-layer-shell
 Section: libs
 Priority: optional
-Maintainer: Matthias Geiger <werdahias@riseup.net>
+Maintainer: Matthias Geiger <werdahias@debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
@@ -20,6 +20,7 @@
 Package: libgtk4-layer-shell-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

## gtk4-layer-shell 1.0.4

=== debian/changelog ===
gtk4-layer-shell (1.0.4-2) unstable; urgency=medium

  * Add patch to skip popup test (Closes: #1099234)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 15 Mar 2025 22:38:04 +0100

gtk4-layer-shell (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Updated symbols file for new upstream
  * d/control: Add Provides: gir1.2-gtk4layershell-1.0-dev 
    for libgtk4-layer-shell-dev
  * d/copyright: Update for new upstream release

 -- Matthias Geiger <werdahias@debian.org>  Mon, 11 Nov 2024 18:45:04 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  ${misc:Depends},
  libgtk4-layer-shell0 (= ${binary:Version}),
  gir1.2-gtk4layershell-1.0 (= ${binary:Version}),
+Provides: gir1.2-gtk4layershell-1.0-dev (= ${binary:Version})
 Description: wayland layer shell protocol library (GTK4) -- development files
  A library for using the Layer Shell Wayland protocol with GTK4. With this
  library you can build desktop shell components such as panels, notifications

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@
override_dh_auto_configure:
	dh_auto_configure -- \
	-Dexamples=true \
	-Ddocs=true \
	-Dtests=true \
	-Dsmoke-tests=false

## gtk4-layer-shell 1.2.0

=== debian/changelog ===
gtk4-layer-shell (1.2.0-3) unstable; urgency=medium

  * d/rules: Fix override to skip tests on some arches

 -- Matthias Geiger <werdahias@debian.org>  Fri, 10 Oct 2025 15:34:39 +0200

gtk4-layer-shell (1.2.0-2) unstable; urgency=medium

  * d/rules: Skip tests on some arches for now
  * d/control: Depend on gobject-introspection

 -- Matthias Geiger <werdahias@debian.org>  Thu, 25 Sep 2025 20:16:47 +0200

gtk4-layer-shell (1.2.0-1) experimental; urgency=medium

  * New upstream version 1.2.0
  * d/patches: Drop, tests all pass now
  * d/gbp.conf: Expand import-orig section for initial commit
  * d/control: Add new libgtk4-session-lock-dev package
  * d/control: Add new gir1.2-gtk4sessionlock-1.0 package
  * Don't install preload file for now
  * d/libgtk4-layer-shell0.symbols: Update.
    Upstream dropped symbols without explanation; however those are not in use
  * d/control: Bump S-V to 4.7.2, no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Tue, 19 Aug 2025 13:29:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  meson,
- libgirepository1.0-dev,
+ gobject-introspection,
  libgtk-4-dev,
  libwayland-dev (>= 1.10.0),
  gtk-doc-tools,
  valac,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/wmww/gtk4-layer-shell
 Vcs-Browser: https://salsa.debian.org/debian/gtk4-layer-shell
 Vcs-Git: https://salsa.debian.org/debian/gtk4-layer-shell.git
@@ -65,6 +65,38 @@
  .
  This package contains the gobject-introspection typelib.
 
+Package: libgtk4-session-lock-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libgtk4-layer-shell0 (= ${binary:Version}),
+ gir1.2-gtk4sessionlock-1.0 (= ${binary:Version}),
+Provides: gir1.2-gtk4sessionlock-1.0-dev (= ${binary:Version})
+Description: wayland session lock library (GTK4) -- development files
+ A library for using the wayland session lock protocol with GTK4. With this
+ library you can build screen locking components. It's compatible with C, C++
+ and any language that supports GObject introspection files (Python, Vala, etc).
+ .
+ This package contains the development headers.
+
+Package: gir1.2-gtk4sessionlock-1.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${gir:Depends},
+Description: wayland session lock library (GTK4) -- GObject introspection data
+ A library for using the wayland session lock protocol with GTK4. With this
+ library you can build screen locking components. It's compatible with C, C++
+ and any language that supports GObject introspection files (Python, Vala, etc).
+ .
+ This package contains the gobject-introspection typelib.
+
 Package: gtk4-layer-shell-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+
+include /usr/share/dpkg/pkg-info.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 
@@ -11,3 +13,9 @@
 	-Ddocs=true \
 	-Dtests=true \
 	-Dsmoke-tests=false
+
+# Test currently fail on those arches, see github.com/wmww/gtk4-layer-shell/issues/106
+override_dh_auto_test:
+ifneq ($(filter s390x hppa powerpc x32,$(DEB_HOST_ARCH)),)
+    override_dh_auto_test:
+endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/wmww/gtk4-layer-shell/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## gtk4-layer-shell 1.3.0

=== debian/changelog ===
gtk4-layer-shell (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Drop, patch was applied upstream
  * d/libgtk4-layer-shell0.symbols: Update for new upstream release

 -- Matthias Geiger <werdahias@debian.org>  Mon, 03 Nov 2025 21:26:22 +0100

gtk4-layer-shell (1.2.0-4) unstable; urgency=medium

  * Add cherry-picked commit fixing use-after-free; stop skipping tests on some arches
  * d/control: Drop Rules-Require-Root field

 -- Matthias Geiger <werdahias@debian.org>  Wed, 22 Oct 2025 16:48:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Matthias Geiger <werdahias@debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  meson,

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@
override_dh_auto_configure:
	dh_auto_configure -- \
	-Dexamples=true \
	-Ddocs=true \
	-Dtests=true \
	-Dsmoke-tests=false
